Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.amp.amf.abase.aBase
Interface ABasePackage.Literals

Enclosing interface:
  ABasePackage

    public static interface ABasePackage.Literals

Defines literals for the meta objects that represent

- each class,
- each feature of each class,
- each enum,
- and each data type

Field Summary
`static org.eclipse.emf.ecore.EEnum` | `BOOLEAN` The meta object literal for the '`BOOLEAN`' enum.
`static org.eclipse.emf.ecore.EClass` | `BOOLEAN_VALUE` The meta object literal for the '`Boolean Value`' class.
`static org.eclipse.emf.ecore.EAttribute` | `BOOLEAN_VALUE__VALUE` The meta object literal for the 'Value' attribute feature.
`static org.eclipse.emf.ecore.EClass` | `INT_VALUE` The meta object literal for the '`Int Value`' class.
`static org.eclipse.emf.ecore.EAttribute` | `INT_VALUE__VALUE` The meta object literal for the 'Value' attribute feature.
`static org.eclipse.emf.ecore.EClass` | `REAL_VALUE` The meta object literal for the '`Real Value`' class.
`static org.eclipse.emf.ecore.EAttribute` | `REAL_VALUE__VALUE` The meta object literal for the 'Value' attribute feature.
`static org.eclipse.emf.ecore.EClass` | `STRING_VALUE` The meta object literal for the '`String Value`' class.
`static org.eclipse.emf.ecore.EAttribute` | `STRING_VALUE__VALUE` The meta object literal for the 'Value' attribute feature.
`static org.eclipse.emf.ecore.EClass` | `VALUE` The meta object literal for the '`Value`' class.

Field Detail

### VALUE

    static final org.eclipse.emf.ecore.EClass VALUE

  The meta object literal for the '`Value`' class.

  See Also:
    `ValueImpl`, `ABasePackageImpl.getValue()`

### INT_VALUE

    static final org.eclipse.emf.ecore.EClass INT_VALUE

  The meta object literal for the '`Int Value`' class.

  See Also:
    `IntValueImpl`, `ABasePackageImpl.getIntValue()`

### INT_VALUE__VALUE

    static final org.eclipse.emf.ecore.EAttribute INT_VALUE__VALUE

  The meta object literal for the 'Value' attribute feature.

### REAL_VALUE

    static final org.eclipse.emf.ecore.EClass REAL_VALUE

  The meta object literal for the '`Real Value`' class.

  See Also:
    `RealValueImpl`, `ABasePackageImpl.getRealValue()`

### REAL_VALUE__VALUE

    static final org.eclipse.emf.ecore.EAttribute REAL_VALUE__VALUE

  The meta object literal for the 'Value' attribute feature.

### STRING_VALUE

    static final org.eclipse.emf.ecore.EClass STRING_VALUE

  The meta object literal for the '`String Value`' class.

  See Also:
    `StringValueImpl`, `ABasePackageImpl.getStringValue()`

### STRING_VALUE__VALUE

    static final org.eclipse.emf.ecore.EAttribute STRING_VALUE__VALUE

  The meta object literal for the 'Value' attribute feature.

### BOOLEAN_VALUE

    static final org.eclipse.emf.ecore.EClass BOOLEAN_VALUE

  The meta object literal for the '`Boolean Value`' class.

  See Also:
    `BooleanValueImpl`, `ABasePackageImpl.getBooleanValue()`

### BOOLEAN_VALUE__VALUE

    static final org.eclipse.emf.ecore.EAttribute BOOLEAN_VALUE__VALUE

  The meta object literal for the 'Value' attribute feature.

### BOOLEAN

    static final org.eclipse.emf.ecore.EEnum BOOLEAN

  The meta object literal for the '`BOOLEAN`' enum.

  See Also:
    `BOOLEAN`, `ABasePackageImpl.getBOOLEAN()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD